WashU Epigenome Browser - Bug # 89

Status: Closed Priority: Normal
Author: Rebecca Lowdon Category:

Created: 11/05/2013 Assignee: Xin Zhou
Updated: 03/14/2014 Due date:

Subiject: mCRF tracks not recognized

Description

When | load my dataHub, some of the mCRF tracks are not recognized by the browser. They are set to mode:"full" to appear when
loading, but they do not appear. They are also not found in the facet browser.

DataHub: http://cgs.wustl.edu/~rlowdon/skinProjHub.json

The 3 skin cell type mCRF tracks load fine. It is the two breast cell type mCRF (at the bottom of the file) that are not loading.

Thanks!

History

#1 - 11/05/2013 11:53 am - Xin Zhou
- File 59.png added
- Status changed from New to Resolved
Thanks for the report, following issues have been fixed.
- numerical hub tracks (bigwig or bedgraph) will be shown by default if their mode is labeled as "full" (legitimate mode is "show").
- browser is made more tolerant for datahub track mode assignment (you can assign "show" for a bed track and it will be automatically turned to
"full" mode)
- updated facet cell prints track number as "red/green" (but not "green/red")
Two tracks are found to have invalid file URL and warning msg is given but is hard to see (need to drag down the message box to see, in screenshot).
| will try to make the warning more evident.
#2 - 11/05/2013 01:26 pm - Xin Zhou

Did a quick fix and added the error-reporting function, see this:

http://epgg-test.wustl.edu/browser/?genome=hg19&#38;datahub_jsonfile=http://vizhub.wustl.edu/hubSample/hg19/hub.error

#3 - 03/14/2014 12:05 am - Daofeng Li

- Status changed from Resolved to Closed

Files

59.png 221.5 kB 11/05/2013 Xin Zhou
